
###################################################
# Cpp configuration for all projects
# Concerns .c, .cc, .cpp, .h, .hpp files
# Require the installation of clang
###################################################
- repo: https://github.com/pocc/pre-commit-hooks
  rev: v1.3.5
  hooks:
    - id: clang-format
      args: [-i]
#    - id: clang-tidy
